menu of the default theme does not close on the iPad

Bug #1308857 reported by kamaya sho on 2014-04-17
14
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Mahara
High
Unassigned
1.6
High
Unassigned
1.7
High
Unassigned
1.8
High
Unassigned

Bug Description

mahara varsion:1.8.2
device:iPad Air
device OS :iOS7.1
browser: safari

When displayed in portrait orientation of the iPad mahara that set the default theme, there is a problem that does not close MENU.

To be resolved by modifying the javascript as follows this.

mahara / js / rd-nav.js: Line 48
before:
if (windowWidth> = navBuffer) {

after:
if (windowWidth> navBuffer) {

I hope that is reflected in the javascript of distributor :)

Aaron Wells (u-aaronw) wrote :

Replicated on my dev site. Specifically, this is the menu you see in place of the navigation tabs when you are using a responsive design theme on a narrow screen. Screenshot attached.

Aaron Wells (u-aaronw) wrote :

Also replicated in Chrome on iPad. Could not replicate in Mahara 1.9, because it does not show the narrow screen menu but instead shows the normal tabs, on an iPad in portrait orientation.

Aaron Wells (u-aaronw) on 2014-04-24
Changed in mahara:
milestone: none → 1.8.3
Aaron Wells (u-aaronw) wrote :

Hi Kamaya,

Thanks for the suggested code fix! I've submitted it into our code review system.

Do you want your name listed as the "Author" on the patch?

Cheers,
Aaron

kamaya sho (s-kamaya) wrote :

Hi Aaron,

Thank you append a supplementary explanation.

> Do you want your name listed as the "Author" on the patch?

I am honored to have received an invitation like this.

I hope that my name is listed.

Reviewed: https://reviews.mahara.org/3284
Committed: http://gitorious.org/mahara/mahara/commit/a5f784c729e471e34500311e0c43bb38778fa6a4
Submitter: Robert Lyon (<email address hidden>)
Branch: 1.8_STABLE

commit a5f784c729e471e34500311e0c43bb38778fa6a4
Author: Kamaya Sho <email address hidden>
Date: Thu Apr 24 12:28:09 2014 +1200

Responsive navigation menu doesn't collapse in iPad in portrait mode

Bug 1308857. The problem appears to be that the collapse logic is based
around a <= and a >=, and the iPad in portrait mode falls right in the middle
so it triggers both. Changing this to a more logical <= and > pair fixes things.

Change-Id: Iacb8d53daff0f06a6f414bf5e4aafdee1337dfa3

Mahara Bot (dev-mahara) wrote :

Patch for "1.7_STABLE" branch: https://reviews.mahara.org/3343

Reviewed: https://reviews.mahara.org/3342
Committed: http://gitorious.org/mahara/mahara/commit/4df99a8b70792b49a2901f292b7280b39b10c8eb
Submitter: Robert Lyon (<email address hidden>)
Branch: 1.6_STABLE

commit 4df99a8b70792b49a2901f292b7280b39b10c8eb
Author: Kamaya Sho <email address hidden>
Date: Thu Apr 24 12:28:09 2014 +1200

Responsive navigation menu doesn't collapse in iPad in portrait mode

Bug 1308857. The problem appears to be that the collapse logic is based
around a <= and a >=, and the iPad in portrait mode falls right in the middle
so it triggers both. Changing this to a more logical <= and > pair fixes things.

Change-Id: Iacb8d53daff0f06a6f414bf5e4aafdee1337dfa3

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/3343
Committed: http://gitorious.org/mahara/mahara/commit/2eae31c54e2748c70c4ce3b5ecac08d82110d8d6
Submitter: Robert Lyon (<email address hidden>)
Branch: 1.7_STABLE

commit 2eae31c54e2748c70c4ce3b5ecac08d82110d8d6
Author: Kamaya Sho <email address hidden>
Date: Thu Apr 24 12:28:09 2014 +1200

Responsive navigation menu doesn't collapse in iPad in portrait mode

Bug 1308857. The problem appears to be that the collapse logic is based
around a <= and a >=, and the iPad in portrait mode falls right in the middle
so it triggers both. Changing this to a more logical <= and > pair fixes things.

Change-Id: Iacb8d53daff0f06a6f414bf5e4aafdee1337dfa3

Robert Lyon (robertl-9) on 2014-05-11
Changed in mahara:
milestone: 1.8.3 → none
Aaron Wells (u-aaronw) on 2014-05-13
Changed in mahara:
status: New → Fix Released
importance: Undecided → High
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Bug attachments